pdf:=$(patsubst %.slides,build/%.pdf,$(wildcard *.slides))

all: build/$(basename $(shell ls -1t *.slides | head -1)).pdf
	evince $<

build/%.tex: %.slides
	python3 simple_beamer_slides.py < $< > $@
figures/%.pdf: figures/%.svg
	#inkscape -f $< -A $@
	inkscape --export-type 'pdf' $<
build/%.pdf: build/%.tex $(patsubst %.svg,%.pdf,$(wildcard figures/*.svg))
	xelatex -output-directory build -shell-escape $<
	xelatex -output-directory build -shell-escape $<
clean:
	rm -f build/*.{tex,aux,out,toc,log,nav,snm}
	rm -rf build/minted

.PRECIOUS: figures/%.pdf %.tex
